Subject: Re: [PATCH v2 01/23] Documentation/technical: describe pseudo-merge bitmaps format

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 14 May 2024 08:33:43 +0200

On Mon, May 13, 2024 at 03:47:01PM -0400, Taylor Blau wrote:
> On Fri, May 10, 2024 at 01:46:59PM +0200, Patrick Steinhardt wrote:
> > > > > +* An (optional) extended lookup table (written if and only if there is
> > > > > +  at least one commit which appears in more than one pseudo-merge).
> > > > > +  There are as many entries as commits which appear in multiple
> > > > > +  pseudo-merges. Each entry contains the following:
> > > > > +
> > > > > +  ** `N`, a 4-byte unsigned value equal to the number of pseudo-merges
> > > > > +     which contain a given commit.
> > > >
> > > > How exactly is the given commit identified? Or in other words, given an
> > > > entry in the lookup table here, how do I figure out what commit it
> > > > belongs to?
> > >
> > > They aren't identified within this section. The extended lookup table is
> > > indexed into via the lookup table with an offset that is stored in the
> > > `offset` field when the MSB is set.
> >
> > Okay. Would this explanation be a good addition to the document?
> 
> I think we already have this written down in the section above. See in
> the previous bullet point the section reading "containing either one of
> two possible offsets, deepening on whether or not the most-significant
> bit is set: [...]"
> 
> Does that work?

One could have a back-reference to that section here. But I don't mind
it too much overall.

Thanks!

Patrick